TRANSLATION Paragraphe;
		     {  Sortie HTML d un paragraphe pour Thot      }
	             { I. Vatton 		 Decembre 1995     }
                     { d'apres verion Ch. Rolland de Juin 94       }

LINELENGTH 78;

BUFFERS
   NomImage(Picture);	{ Tampon pour le nom de l image }

RULES

   Simple_paragraphe :
	BEGIN
	IF not parent first BEGIN
		create '\12<p>';
		create '</p>\12' after;
		END;
	IF parent first AND NOT Within Item_liste 
		 AND NOT Within R\351sum\351(Rapport)
		 AND NOT Within Note(Rapport)
		 AND NOT Within Intitul\351_descr
		 AND NOT Within Texte_description
		 AND NOT Within Titre_parag
		 AND NOT Within Contenu_parag
		 AND NOT Within Item_\351num\351ration BEGIN
		create '\12<p>';
		create '</p>\12' after;
		END;
	END;

   Citation :
	BEGIN
	create '\12<blockquote>\12';
	create '\12</blockquote>\12' after;
	END;

   Exemple :
	BEGIN
	create '\12<pre>\12';
{***	NoTranslation;	****}
	create '</pre>\12' after;
	END;

   Ligne_exemple :
	BEGIN
	create '\12' after;
	END;

   Liste :
	BEGIN
	create '\12<ul>';
	create '\12</ul>\12' after;
	END;

   Item_liste :
	BEGIN
	create '\12<li>' Before;
	END;

   Description :
	BEGIN
	create '\12<dl>';
	create '\12</dl>\12' after;
	END;

   Intitul\351_descr :
	BEGIN
	create '\12<dt>';
	create '</dt>\12' after;
	END;
   Texte_description :
       BEGIN
	create '\12<dd>';
	END;

   Paragraphe_titr\351 :
	BEGIN
	create '\12<dl>';
	create '\12</dl>\12' after;
	END;
   Titre_parag :
	BEGIN
	create '\12<dt>';
	create '</dt>\12' after;
	END;
   Contenu_parag :
       BEGIN
	create '\12<dd>';
	END;

   Enum\351ration :
	BEGIN
	create '\12<ol>';
	create '\12</ol>\12' after;
	END;

   Item_\351num\351ration :
	BEGIN
	create '\12<li>' Before;
	END;

   Programme_indent\351 :
	BEGIN
	create '\12<pre>\12';
	{***	NoTranslation;	***}
	create '</pre>\12' after;
	END;

   Instruction :
	create '\12' after;

   Cote_a_cote :
	BEGIN
	create '\12<table border=0>\12  <tr>\12';
	create '\12  </tr>\12</table>\12' after;
	END;

   A_gauche :
	BEGIN
	create '\12<td width=50%>\12';
	END;

   A_droite :
	BEGIN
	create '\12<td width=50%>\12';
	END;

   Paragraphes_group\351s :
	BEGIN
	create '\12<hr>\12';
	create '\12<hr>\12' after;
	END;

   GRAPHICS_UNIT :
	BEGIN
	Remove;
	END;

   PICTURE_UNIT :
	BEGIN
	Create '<img src="';
	Create NomImage After;
	Create '" alt="Image ' After;
	Create NomImage After;
	Create '">' After;
	END;

PRESENTATION

   Style = Bold:
        BEGIN
        Create '<b>';
        Create '</b>' After;
        END;

   Style = Italics:
        BEGIN
        Create '<i>';
        Create '</i>' After;
        END;

   Font = Courier:
        BEGIN
        Create '<tt>';
        Create '</tt>' After;
        END;

END
